For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Work Order from Existing
      • POSTCreate Work Order
      • POSTUpload Attachment
      • GETGet Action Types
LogoLogo
API ReferenceKitting

Get Action Types

||View as Markdown|
GET
/Experimental/kitting/action-types
GET
/Experimental/kitting/action-types
$curl https://api.shipbob.com/Experimental/kitting/action-types \
> -H "Authorization: Bearer <token>"
1{
2 "actions": [
3 {
4 "action_id": 1,
5 "active": true,
6 "control_type": "scan",
7 "is_root": true,
8 "name": "Scan Product Barcode",
9 "order": 1,
10 "sub_actions": []
11 },
12 {
13 "action_id": 2,
14 "active": true,
15 "control_type": "checkbox",
16 "is_root": true,
17 "name": "Package Items",
18 "order": 2,
19 "sub_actions": [
20 {
21 "action_id": 3,
22 "active": true,
23 "control_type": "photo",
24 "is_root": false,
25 "name": "Take Photo of Completed Kit",
26 "order": 1,
27 "sub_actions": []
28 }
29 ]
30 }
31 ]
32}

Returns the available action types to configure steps in a kitting work order. Some action types may include sub-actions required for certain action types.

Was this page helpful?
Previous

Upload Attachment

Next

Create Return Label

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Response

Success
actionslist of objects
The list of work order action types.

Errors

500
Internal Server Error